/* ====================== js表单验证类 by koyshe ====================== */
formyz = new function()
{
	function yz_true(jqshow) {
		$("#" + jqshow).empty();
		return true;
	}
	function yz_false(jqshow, jqshowtext) {
		$("#" + jqshow).html('<span style="color:#f00" class="yz_false">'+jqshowtext+'</span>');
		return false;
	}
	//验证手机号
	this.phone = function(need, jqid, jqshow)
	{
		if (rule_phone.test(jqid.val()) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, '手机号格式有误，请重新输入');
		}
	}
	//验证qq
	this.qq = function(need, jqid, jqshow)
	{
		if (rule_qq.test(jqid.val()) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, 'QQ格式有误，请重新输入');
		}
	}
	//验证邮箱
	this.email = function(need, jqid, jqshow)
	{
		if (rule_email.test(jqid.val()) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, '邮箱格式有误!');
		}
	}
	//验证身份证
	this.idcard = function(need, jqid, jqshow)
	{
		if (jqid.val().length == 15 || jqid.val().length == 18 || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, '身份证格式有误，请重新输入');
		}
	}
	//验证密码
	this.pw = function(need, jqid, jqshow)
	{
		if ((jqid.val().length >= 6 && jqid.val().length <= 16) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, '密码必须由6-16个字符组成!');
		}
	}
	//验证重复密码
	this.pw1 = function(need, jqid, jqshow)
	{
		if (jqid.val() == $(":input[name='user_pw']").val() || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, '两次输入的密码不一样!');
		}
	}
	//验证数字
	this.num = function(need, jqid, jqshow, jqshowtext, rule)
	{
		var arr = rule.split("|");
		if (!isNaN(jqid.val()) && jqid.val() >= parseFloat(arr[0]) && jqid.val() <= parseFloat(arr[1]) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, jqshowtext);
		}
	}
	//验证中文
	this.zh = function(need, jqid, jqshow, jqshowtext)
	{
		if (rule_zh.test(jqid.val()) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, jqshowtext + '必须为汉字!');
		}
	}
	//ajax验证
	this.ajax = function(need, jqid, jqshow, jqshowtext, url,data)
	{
		$.ajaxSettings.async = false;
		/*$.ajaxSetup({
			async: false // 使用同步方式执行AJAX
		});*/
		var result;
		$.getJSON(url, data, function(json){
		  	if (json.result) {
				return result = yz_true(jqshow);
			}
			else {
				return result = yz_false(jqshow, jqshowtext);
			}
		});
		return result;
	}
	//验证长度
	this.length = function(need, jqid, jqshow, jqshowtext, rule)
	{
		var arr = rule.split("|");
		if (jqid.val().length >= parseFloat(arr[0]) && jqid.val().length <= parseFloat(arr[1]) || (jqid.val() == '' && need == 0)) {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, jqshowtext);
		}
	}
	//验证是否为空
	this.notnull = function(jqid, jqshow, jqshowtext)
	{
		if (jqid.val().length != 0 && jqid.val() != '') {
			return yz_true(jqshow);
		}
		else {
			return yz_false(jqshow, jqshowtext + '必须填写!');
		}
	}
}

/* ====================== 老表单验证函数备份 ====================== */
//表单验证函数
function formyz123321(type, obj, showobj, showtext, other)
{
	var jqid = obj;
	var jqshow = $("#"+showobj);
	//if (needyz == undefined) needyz = 1;
	switch (type) {
		case 'phone'://验证手机号
			if (!rule_phone.test(jqid.val())) {
				jqshow.html('<span style="color:#f00">手机号格式有误，请重新输入</span>');
				return 'false';
			}
		break;
		case 'qq'://验证qq
			if (!rule_qq.test(jqid.val())) {
				jqshow.html('<span style="color:#f00">QQ格式有误，请重新输入</span>');
				return 'false';
			}
		break;
		case 'email'://验证邮箱
			if(!rule_email.test(jqid.val())) {
				jqshow.html('<span style="color:#f00">邮箱格式有误，请重新输入</span>');
				return 'false';
			}
		break;
		case 'idcard'://验证身份证
		if (jqid.val().length != 15 && jqid.val().length != 18) {
				jqshow.html('<span style="color:#f00">身份证格式有误，请重新输入</span>');
				return 'false';
			}
		break;
		case 'pw'://验证密码
			if (jqid.val().length > 16 || jqid.val().length < 6) {
				jqshow.html('<span style="color:#f00">密码由6-16个字符组成</span>');
				return 'false';
			}
		break;
		case 'pw1'://验证重复密码
			if (jqid.val() != $(":input[name='user_pw']").val() || jqid.val().length == '') {
				jqshow.html('<span style="color:#f00">两次输入的密码不一样</span>');
				return 'false';
			}
		break;
		case 'num'://验证数字
			var arr = other.split("|");
			//var rule_num = new RegExp("^["+arr[1]+"-"+arr[2]+"]$");
			if (isNaN(jqid.val()) || jqid.val().length == 0 || jqid.val() == '' || jqid.val() < parseFloat(arr[0]) || jqid.val() > parseFloat(arr[1])) {
				jqshow.html('<span style="color:#f00">' + showtext + '</span>');
				return 'false';
			}
		break;
		case 'zh'://验证中文
			if (!rule_zh.test(jqid.val())) {
				jqshow.html('<span style="color:#f00">' + showtext + '必须为汉字</span>');
				return 'false';
			}
		break;
		default ://验证是否为空
			if (jqid.val().length == 0 || jqid.val() == '') {
				jqshow.html('<span style="color:#f00">' + showtext + '必须填写</span>');
				return 'false';
			}
	}
	jqshow.empty();
	return true;
}